Package pyplusplus :: Package code_creators :: Module calldef_transformed :: Class mem_fun_transformed_wrapper_t

# type mem_fun_transformed_wrapper_t

source code

                               object --+
                                        |
              code_creator.code_creator_t --+
                                            |
    declaration_based.declaration_based_t --+
                                            |
                    calldef.calldef_wrapper_t --+
                                                |
                 sealed_fun_transformed_wrapper_t --+
                                                    |
                                                   mem_fun_transformed_wrapper_t

Instance Methods

__init__(self, function) Constructor. | source code

function_type(self) | source code

wrapper_name(self) | source code

full_name(self) | source code

args_declaration(self) | source code

resolve_function_ref(self) | source code

Inherited from `sealed_fun_transformed_wrapper_t`: `create_fun_definition`

Inherited from `calldef.calldef_wrapper_t`: `function_call_args`, `override_identifier`, `throw_specifier_code`, `unoverriden_function_body`, `wrapped_class_identifier`

Inherited from `code_creator.code_creator_t`: `beautify`, `create`, `get_system_headers`

Inherited from `declaration_based.declaration_based_t`: `get_user_headers`

Static Methods
Inherited from `code_creator.code_creator_t`: `indent`, `is_comment`, `unindent`, `unique_headers`

Class Variables
Inherited from `code_creator.code_creator_t`: `LINE_LENGTH`, `PARAM_SEPARATOR`, `PYPLUSPLUS_NS_NAME`

Properties
Inherited from `sealed_fun_transformed_wrapper_t`: `controller`, `ft` Inherited from `code_creator.code_creator_t`: `parent`, `target_configuration`, `top_parent`, `works_on_instance` Inherited from `declaration_based.declaration_based_t`: `alias`, `decl_identifier`, `declaration`, `documentation`

Method Details

### __init__(self, function)
(Constructor)

source code

Constructor.

Parameters:
  - `function` (calldef_t) - Function declaration
Overrides: declaration_based.declaration_based_t.__init__

### args_declaration(self)

source code

Overrides: calldef.calldef_wrapper_t.args_declaration

### resolve_function_ref(self)

source code

Overrides: sealed_fun_transformed_wrapper_t.resolve_function_ref